<?php

// Active les erreurs PHP.
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Se connecte à la BDD (identifiants cachés)
include 'dbinit.php';



if(isset($_GET["salle"])) {
	
	$idSalle = $_GET["salle"];
	
	$aliaz = array();
	
	$stmt = $conn->prepare("SELECT nom FROM salleAlias WHERE salleID=?");
	$stmt->execute([$idSalle]);
	$resA = $stmt->fetchAll();
	
	for($i=0;$i<count($resA);$i++)
		$aliaz[$i] = $resA[$i]['nom'];
	
	$fichiers = array();
	
	$stmt = $conn->prepare("SELECT fichier FROM salleFichier WHERE salleID=?");
	$stmt->execute([$idSalle]);
	$resF = $stmt->fetchAll();
	
	for($i=0;$i<count($resF);$i++)
		$fichiers[$i] = $resF[$i]['fichier'];
	
	$locataires = array();
	
	$stmt = $conn->prepare("SELECT personne FROM locataires WHERE salleID=?");
	$stmt->execute([$idSalle]);
	$resP = $stmt->fetchAll();
	
	for($i=0;$i<count($resP);$i++)
		$locataires[$i] = $resP[$i]['personne'];
	
	
	$stmt = $conn->prepare("SELECT id, description FROM salles WHERE id=?");
	$stmt->execute([$idSalle]);
	$resS = $stmt->fetchAll();
	
	
	if(count($resS)==0){
		echo "404";
	}else {
		$out = array("id" => $resS[0]["id"], "description" => $resS[0]["description"], "aliaz" => $aliaz, "locataires" => $locataires, "fichiers" => $fichiers);
		echo (json_encode($out));
	}
	
} else if (isset($_GET["salleNameSearch"])){
	
	$salleNameSearch = $_GET["salleNameSearch"];
	
	$stmt = $conn->prepare("SELECT salleID, nom FROM salleAlias  WHERE MATCH nom AGAINST (? IN BOOLEAN MODE)");
	$stmt->execute([$salleNameSearch]);
	$res = $stmt->fetchAll();
	
	$out = array();
	
	for($i=0;$i<count($res);$i++)
		$out[$i] = array("salleID" => $res[$i]['salleID'], "nom" => $res[$i]["nom"]);
	
	echo (json_encode($out));
	
} else if (isset($_GET["salleLocSearch"])) {

	$salleLocSearch = $_GET["salleLocSearch"];
	
	$stmt = $conn->prepare("SELECT salleID, personne FROM `locataires` WHERE MATCH personne AGAINST (? IN BOOLEAN MODE)");
	$stmt->execute([$salleLocSearch]);
	$res = $stmt->fetchAll();
	
	$out = array();
	
	for($i=0;$i<count($res);$i++)
		$out[$i] = array("salleID" => $res[$i]['salleID'], "personne" => $res[$i]["personne"]);
	
	echo (json_encode($out));
	
}else {
	echo "Je ne connais pas cette commande ...";
}
